summaryrefslogtreecommitdiff
path: root/bg2
diff options
context:
space:
mode:
authornick <myownlittlworld@hotmail.com>2009-06-06 17:38:22 -0500
committernick <myownlittlworld@hotmail.com>2009-06-06 17:38:22 -0500
commitf197b4b654ec882a333e9d488163a75cb3fb83e5 (patch)
treeeb92f7a0f28716517b76655aeedff32e8ea40a5c /bg2
parent127841dbea17073ab698a45e0e4a720bf0d7c46a (diff)
downloadgemrb-gameinstallers-f197b4b654ec882a333e9d488163a75cb3fb83e5.tar.bz2
gemrb-gameinstallers-f197b4b654ec882a333e9d488163a75cb3fb83e5.zip
Created BG2-SOA installer.
Created list of game CDs.
Diffstat (limited to 'bg2')
-rwxr-xr-xbg2/install-soa-4cd-us-extra.sh40
-rwxr-xr-xbg2/install-soa-4cd-us-minimal.sh (renamed from bg2/install-4cd-minimal-us.sh)6
-rwxr-xr-xbg2/install-soa-4cd-us-tobMinimal.sh32
-rw-r--r--bg2/install-tob-1cd-us-extra.sh35
-rw-r--r--bg2/install-tob-1cd-us-minimal.sh36
5 files changed, 147 insertions, 2 deletions
diff --git a/bg2/install-soa-4cd-us-extra.sh b/bg2/install-soa-4cd-us-extra.sh
new file mode 100755
index 0000000..6374720
--- /dev/null
+++ b/bg2/install-soa-4cd-us-extra.sh
@@ -0,0 +1,40 @@
+#! /bin/bash
+#
+# Baldur's Gate 2 (4CD US version) Full Install
+# Copyright (C) 2009 GemRB Installers, Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+CD2_MD5="c78f41ff4cb47ea04fdf25ea6f55eb8b"
+CD3_MD5="61fa51451c9ab102383c082fac3687dc"
+CD4_MD5="d13f925c01c1f78fd35baa708715ebbd"
+
+getcd 2 $CD2_MD5 "data3.cab"
+copylower "${CDMOUNT}/CD2/" "$TARGETDIR"
+
+getcd 3 $CD3_MD5 "data4.cab"
+copylower "${CDMOUNT}/CD3/" "$TARGETDIR"
+
+getcd 4 $CD4_MD5 "data5.cab"
+copylower "${CDMOUNT}/CD4/" "$TARGETDIR"
+
+teardown "$TARGETDIR"
diff --git a/bg2/install-4cd-minimal-us.sh b/bg2/install-soa-4cd-us-minimal.sh
index 864b010..3db85b5 100755
--- a/bg2/install-4cd-minimal-us.sh
+++ b/bg2/install-soa-4cd-us-minimal.sh
@@ -29,11 +29,10 @@ checkforbin unshield
getcd 1 $BG2_4CD_US_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-mkdir -p "${TARGETDIR}/portraits" || die
cp "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
rm -r "${TARGETDIR}/_"* # remove all the the fake directories.
@@ -44,6 +43,9 @@ move_and_remove "${TARGETDIR}/compiler" "${TARGETDIR}/script compiler"
move_and_remove "${TARGETDIR}/register" "${TARGETDIR}/eReg"
move_and_remove "${TARGETDIR}/sound" "${TARGETDIR}/sounds"
+mkdir -p "${TARGETDIR}/portraits" || die
+for directory in "compiled" "decompiled" "errors"; do mkdir -p "${TARGETDIR}/script compiler/${directory}" || die; done
+
rm -r "${TARGETDIR}/cache100" "${TARGETDIR}/cache/cache150.txt" "${TARGETDIR}/mplayer"
setperms "$TARGETDIR"
diff --git a/bg2/install-soa-4cd-us-tobMinimal.sh b/bg2/install-soa-4cd-us-tobMinimal.sh
new file mode 100755
index 0000000..a65ea7b
--- /dev/null
+++ b/bg2/install-soa-4cd-us-tobMinimal.sh
@@ -0,0 +1,32 @@
+#! /bin/bash
+#
+# Baldur's Gate 2 Shadows of Amn (4CD US version) Minimal TOB Install
+# Copyright (C) 2009 GemRB Installers, Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+CD2_MD5="c78f41ff4cb47ea04fdf25ea6f55eb8b"
+
+getcd 2 $CD2_MD5 "data3.cab"
+copylower "${CDMOUNT}/CD2/" "$TARGETDIR"
+
+teardown "$TARGETDIR"
diff --git a/bg2/install-tob-1cd-us-extra.sh b/bg2/install-tob-1cd-us-extra.sh
new file mode 100644
index 0000000..4b0c3d3
--- /dev/null
+++ b/bg2/install-tob-1cd-us-extra.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# Baldur's Gate 2 Throne of Bhaal (1CD US version) Minimal Install
+# Copyright (C) 2009 GemRB Installers, Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 USA.
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $BG2_TOB_1CD_US_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+# TODO finish everything below here.
+
+teardown "$TARGETDIR"
diff --git a/bg2/install-tob-1cd-us-minimal.sh b/bg2/install-tob-1cd-us-minimal.sh
new file mode 100644
index 0000000..e7e1f11
--- /dev/null
+++ b/bg2/install-tob-1cd-us-minimal.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+#
+# Baldur's Gate 2 Throne of Bhaal (1CD US version) Minimal Install
+# Copyright (C) 2009 GemRB Installers, Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 USA.
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $BG2_TOB_1CD_US_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+# TODO finish everything below here.
+# TODO if the cd2 directory doesn't have contents, ask user to run the appropriate preinstaller.
+
+teardown "$TARGETDIR"